Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/EnemyCollection.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
   [Item("EnemyCollection", "A collection of enemy robots for the Robocode genetic programming problem.")]
-  [StorableClass("19A1CD8E-28BD-455F-B1BB-C41E9D6D3798")]
+  [StorableType("19A1CD8E-28BD-455F-B1BB-C41E9D6D3798")]
   public class EnemyCollection : CheckedItemList<StringValue> {
     private const string sampleRobotToSelect = "sample.Crazy";
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Grammar.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("53BB8535-4BBD-4154-8400-29B03968489B")]
+  [StorableType("53BB8535-4BBD-4154-8400-29B03968489B")]
   [Item("Robocode Grammar", "The grammar for the Robocode GP problem.")]
   public class Grammar : SymbolicExpressionGrammar {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Problem.cs	(revision 14711)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("CCDE781F-C08A-42FC-92F9-DA45179DA98B")]
+  [StorableType("CCDE781F-C08A-42FC-92F9-DA45179DA98B")]
   [Creatable(CreatableAttribute.Categories.GeneticProgrammingProblems, Priority = 360)]
   [Item("Robocode Problem", "Evolution of a robocode program in java using genetic programming.")]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Solution.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("B45EA8B7-9B06-445F-8947-F60C2A27B514")]
+  [StorableType("B45EA8B7-9B06-445F-8947-F60C2A27B514")]
   [Item("Solution", "Robocode program and configuration.")]
   public sealed class Solution : Item {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanTreeNode.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("D3457504-5E52-4A07-B425-0548F7BC8B17")]
+  [StorableType("D3457504-5E52-4A07-B425-0548F7BC8B17")]
   public class BooleanTreeNode : SymbolicExpressionTreeTerminalNode {
     private bool value;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/BooleanValue.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("14E2D747-BE81-4609-8CD6-0B4C95DE4742")]
+  [StorableType("14E2D747-BE81-4609-8CD6-0B4C95DE4742")]
   public class BooleanValue : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/CodeSymbol.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("4D367CF4-BE0B-4384-A4E4-3DEA63334EEB")]
+  [StorableType("4D367CF4-BE0B-4384-A4E4-3DEA63334EEB")]
   // a symbol that can represent any user-defined fragment of code
   public sealed class CodeSymbol : Symbol {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/Number.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("D5D4D450-E087-410A-ABC6-5555BF57DB44")]
+  [StorableType("D5D4D450-E087-410A-ABC6-5555BF57DB44")]
   public class Number : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/NumberTreeNode.cs	(revision 14711)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("23078848-6197-4C2D-AB45-80AF77039266")]
+  [StorableType("23078848-6197-4C2D-AB45-80AF77039266")]
   public class NumberTreeNode : SymbolicExpressionTreeTerminalNode {
     private int value;
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPower.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("08056362-D57B-461D-B7BD-F9439FAEAD11")]
+  [StorableType("08056362-D57B-461D-B7BD-F9439FAEAD11")]
   public class ShotPower : Symbol {
     public override int MinimumArity { get { return 0; } }
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 13368)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.GeneticProgramming/3.3/robocode/Symbols/ShotPowerTreeNode.cs	(revision 14711)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.GeneticProgramming.Robocode {
-  [StorableClass("002ED6EC-1502-4D92-BD99-A5F6D9FA2A52")]
+  [StorableType("002ED6EC-1502-4D92-BD99-A5F6D9FA2A52")]
   public class ShotPowerTreeNode : SymbolicExpressionTreeTerminalNode {
     private double value;
